package com.myeclipseide.jpaspring;

import org.springframework.transaction.annotation.Transactional;

public class JPAServiceBean 

{ private IProductlineDAO dao; @Transactional public void deleteProductLine(String productlineID)

{ /* 1. Now retrieve the new product line, using the ID we created */ 
Productline loadedProductline = dao.findById(productlineID); 

/* 2. Now let's delete the product line from the DB */ 
dao.delete(loadedProductline); 

/* 
* 3. To confirm the deletion, try and load it again and make sure it 
* fails */ 
Productline deletedProductline = dao.findById(productlineID); 

/* 
* 4. We use a simple inline IF clause to test for null and print 
* SUCCESSFUL/FAILED */ 
System.out.println("Productline deletion: " + (deletedProductline == null ? "SUCCESSFUL" : "FAILED")); } 

public void setProductLineDAO(IProductlineDAO dao) { this.dao = dao; } 

}
